﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WinFormTest.Entity;

namespace WinFormTest.View
{
    public partial class UserAdd : UserControl
    {
        private User _user;

        public User User
        {
            get { return _user; }
        }
        public UserAdd()
        {
            InitializeComponent();
        }

        public void ClearForm()
        {
            this.textBox1.Clear();
            this.textBox2.Clear();
        }


        #region AddUser
        public event EventHandler AddUser;

        public virtual void OnAddUser(EventArgs args)
        {
            if (AddUser != null) AddUser(this, args);
        }
        #endregion

        private void btnAddUser_Click(object sender, EventArgs e)
        {
            _user = new User{Name=textBox1.Text, Age = Convert.ToInt32(textBox2.Text)};
            OnAddUser(e);
        }
    }
}
